- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#body.FetchIocMatchMetadataResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#body.aspect_1)
- [IocMatchMetadata](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#IocMatchMetadata)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#IocMatchMetadata.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.threatCollections.fetchIocMatchMetadata

Gets a batch (list) of ioc match metadata for a list of threat collections.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/threatCollections:fetchIocMatchMetadata`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the ioc match metadata. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `threatCollections[]` | `string` Required. The GTI IDs of the ThreatCollections to fetch IOC match metadata for (e.g. "campaign--604aff2a-754f-5b8d-8d37-c00711ffab43"). |

### Request body

The request body must be empty.

### Response body

Response containing a list of ioc match metadata.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "iocMatchMetadata": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#IocMatchMetadata`) } ] } ``` |

| Fields ||
|---|---|
| `iocMatchMetadata[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.threatCollections/fetchIocMatchMetadata#IocMatchMetadata`)`` Output only. The list of ioc match metadata requested. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.threatCollections.fetchIocMatchMetadata`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## IocMatchMetadata

IOC match metadata for a threat collection.

| JSON representation |
|---|
| ``` { "threatCollection": string, "iocMatchesCount": integer } ``` |

| Fields ||
|---|---|
| `threatCollection` | `string` The GTI ID of the ThreatCollection that has IOC matches (e.g. "campaign--604aff2a-754f-5b8d-8d37-c00711ffab43"). |
| `iocMatchesCount` | `integer` Number of ioc matches that correlates to the threatCollection |